Subject: Re: Compatibility problem: Cygwin make and makefile filename case
From: Frank Ellert <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Nov 2000 15:39:17 +0100

Earnie Boyd <[email-masked]> writes:

>So, if I had a Cygwin compatible unarchiver would it name the file makefile
>instead of MAKEFILE?  Most likely, yes.  The real issue here is the means by
>which you unarchive the file.

Yes, you're right and I'm wrong.  I used an old DOS unarchiver that
didn't know LFNs and so always named the file "MAKEFILE", independend
of wether the file was archived as "Makefile" or "makefile".  The most
recent MS-Windows port of my archiver names the file correctly.  I'm
sorry!

But the patch is still useful since it adds some kind of DOS
compatibility to Cygwin make.  ;-)

Frank
-- 
"Wer den Swing in sich hat, kann nicht mehr im Gleichschritt
marschieren." Coco Schumann, Jazzer, Überlebender des KZ
Theresienstadt

--
Want to unsubscribe from this list?
Send a message to [email-masked]